// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services'])

.run(function($ionicPlatform,$ionicPopup) {
  $ionicPlatform.ready(function() {
    
     // Check for network connection
    if(window.Connection) {
      if(navigator.connection.type == Connection.NONE) {
        $ionicPopup.confirm({
          title: 'No Internet Connection',
          content: 'Sorry, No Internet connectivity detected. Please reconnect and try again.'
        })
        .then(function(result) {
          if(result) {
            ionic.Platform.exitApp();
          }
        });
      }
    }
   //Start Google analytics code //
    if(typeof analytics !== undefined) 
    {
        analytics.startTrackerWithId("UA-63094249-1"); 
    } else {
        console.log("Google Analytics Unavailable");
    }
   // Ends Google analytics code //
   
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
    
    
    /*
      ParsePushPlugin.register({
              appId:"yAJBKBVRuOTyiXQgX4qYJL7OTrKpICooqjPLVyPl", clientKey:"xcs6ZFxuhKNbdg8GSYluj3n929ZEeaZzAtLWOYmZ", eventKey:"myEventKey"}, //will trigger receivePN[pnObj.myEventKey]
              function() {
                  alert('successfully registered device!');
              }, function(e) {
                  alert('error registering device: ' + e);
              });
     */
     
      /*
       ParsePushPlugin.getInstallationId(function(id) {
               alert(id);
           }, function(e) {
               alert('error');
           });

           ParsePushPlugin.getSubscriptions(function(subscriptions) {
               alert(subscriptions);
           }, function(e) {
               alert('error');
           });

           ParsePushPlugin.subscribe('SampleChannel', function(msg) {
               alert('OK');
           }, function(e) {
               alert('error');
           });
           ParsePushPlugin.unsubscribe('SampleChannel', function(msg) {
               alert('OK');
           }, function(e) {
               alert('error');
           });
           ParsePushPlugin.on('receivePN', function(pn){
               alert('yo i got this push notification:' );
           });
       */
    
    //ParsePushPlugin.on('receivePN:chat', chatEventHandler);
    //ParsePushPlugin.on('receivePN:serverMaintenance', serverMaintenanceHandler);
  });
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

  .state('app', {
    url: "/app",
    abstract: true,
    templateUrl: "templates/menu.html",
    controller: 'AppCtrl'
  })
  .state('app.home', {
    url: "/home",
    cache: false,
    views: {
        'menuContent': {
        templateUrl: "templates/home.html",
        controller: 'BannerCtrl'
        }
    }
  })
  .state('app.explore', {
    url: "/explore/:citiId/:citiName/:top_loclity_id/:top_loclity_name/:type",
    views: {
      'menuContent': {
        templateUrl: "templates/exploreSearch.html",
        controller: 'ExploreCtrl'
      }
    }
  })
  .state('app.nearbyProjects', {
      url: '/searchby/:paramCityId/:paramLat/:paramLang/:paramPtype/:paramMinprice/:paramMaxprice/:paramPosstype/:paramBedtype/:paramService',
      views: {
        'menuContent': {
          templateUrl: 'templates/app-nearbyProjects.html',
          controller: 'NearbyProjectsCtrl'
        }
      }
    })
  .state('app.locationProjects', {
      url: '/searchby/:paramCityId/:paramLocality/:paramPtype/:paramMinprice/:paramMaxprice/:paramPosstype/:paramBedtype/:paramService',
      views: {
        'menuContent': {
          templateUrl: 'templates/app-locationProjects.html',
          controller: 'NearbyProjectsCtrl'
        }
      }
    })
  .state('app.projects', {
      url: '/searchby/:projectid',
      views: {
        'menuContent': {
          templateUrl: 'templates/app-projectPage.html',
          controller: 'ProjectsCtrl'
        }
      }
    })
  .state('app.showMap', {
      url: '/searchby/:paramLat/:paramLang/:paramPpname',
      views: {
        'menuContent': {
          templateUrl: 'templates/gpsView.html',
          controller: 'MapCtrl'
        }
      }
    })  
  .state('app.search', {
    url: "/search/:type",
    views: {
      'menuContent': {
        templateUrl: "templates/search.html",
        controller: 'SearchCtrl'
      }
    }
  })
  .state('app.bargains', {
    url: "/bargains",
    views: {
      'menuContent': {
        templateUrl: "templates/browse.html",
        controller: 'WebVoiceCtrl'
      }
    }
  })
  .state('app.trends', {
    url: "/trends",
    views: {
      'menuContent': {
        templateUrl: "templates/trends.html"
      }
    }
  })
  .state('app.browsecities', {
          url: "/browsecities",
          views: {
            'menuContent': {
              templateUrl: "templates/browsecities.html",
              controller: 'BowseCitiesCtrl'
            }
          }
        }) 
   
     .state('app.playlists', {
          url: "/playlists",
          views: {
            'menuContent': {
              templateUrl: "templates/playlists.html",
              controller: 'PlaylistsCtrl'
            }
          }
        })

      .state('app.single', {
        url: "/playlists/:playlistId",
        views: {
          'menuContent': {
            templateUrl: "templates/playlist.html",
            controller: 'PlaylistCtrl'
          }
        }
      })
    
  .state('app.themes', {
    url: "/themes",
    views: {
      'menuContent': {
        templateUrl: "templates/themes.html"
      }
    }
  });
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/home');
});
