angular.module('starter.controllers', [])

.controller('AppCtrl', function($scope, $ionicModal, $timeout) {
  // Form data for the login modal
  $scope.loginData = {};

  // Create the login modal that we will use later
  $ionicModal.fromTemplateUrl('templates/login.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });

  // Triggered in the login modal to close it
  $scope.closeLogin = function() {
    $scope.modal.hide();
  };

  // Open the login modal
  $scope.login = function() {
    $scope.modal.show();
  };

  // Perform the login action when the user submits the login form
  $scope.doLogin = function() {
    console.log('Doing login', $scope.loginData);

    // Simulate a login delay. Remove this and replace with your login
    // code if using a login system
    $timeout(function() {
      $scope.closeLogin();
    }, 1000);
  };
})
.controller('BannerCtrl', function($scope, $http,$ionicPlatform,$state) {
    $scope.isImageDiv = false;
    $scope.isSpinnerDiv = false;
    $ionicPlatform.ready(function() {
        if(window.Connection) {
            
            if(navigator.connection.type == Connection.NONE) 
            {
              
                $scope.isInternet = false;
                $scope.isImageDiv = false;
                $scope.isSpinnerDiv = true;
            }
            else
            {
                
                $scope.isInternet = true;
                $scope.items = [];
            $http({method: "GET", url: "https://realtycompass.com/Ionic-titanium.php"})
            .success(function(data) {
               
               $scope.items = data;
               $scope.isImageDiv = true;
               $scope.isSpinnerDiv = true;
            });
                
            }
        }
      
    });
	
    $scope.bannerRefresh = function() 
    {
        
        $state.transitionTo($state.current, $state.$current.params, { reload: true, inherit: true, notify: true });
        
    }; 
         
})
.controller('ExploreCtrl', function($scope, $timeout,$state, $http,$stateParams,$ionicPlatform,$ionicPopup,GoogleAnalytics, MinpriceService) {
    $scope.isrefresh = false;
 
    if($stateParams.type=="normal")
    {
        GoogleAnalytics.ganalytic("Browse", "Click", "searchpage", "success");
        $scope.locadata = [];
        if(localStorage.getItem('locadata')!==null)
        {
            //localStorage.setItem('storedgeoCity', JSON.stringify($scope.cityId));
            $scope.locadata = JSON.parse(localStorage.getItem('locadata'));
          //$scope.locadata = (localStorage.getItem('locadata')!==null) ? JSON.parse($scope.savedgeodata) : locations;
          //localStorage.setItem('locadata', JSON.stringify($scope.locadata));
            $scope.searchType = "geoSearch";
            $scope.isGeoLocation = true;
            $scope.isLocation = false;
            $scope.cityId = $scope.locadata[0].cityId;
            $http({method: "GET", url: "https://www.realtycompass.com/apim/topLocations/"+$scope.cityId})
                    .success(function(data) {
                        
                        $scope.isLocationselect = true;
                       $scope.localities = data;
                    });
            
        }
        else
        {
            
            $scope.searchType = "geoSearch";
            $scope.isGeoLocation = true;
            $scope.isLocation = false;
            $scope.isrefresh = true;
            $scope.cityId = "";
            
            var positionOption = {maximumAge: 0, timeout: 15000, enableHighAccuracy: true };
    	    navigator.geolocation.getCurrentPosition(
              function(position) {
                  
               // Some fake testing data
               var geocoder ;
                
               geocoder = new google.maps.Geocoder();
               var latlng = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
              
               geocoder.geocode({'latLng': latlng}, function(results, status)
               {
                    if(status == google.maps.GeocoderStatus.OK)
                    {
                        if (results[0])
                        {
                            var add = results[0].formatted_address;
                            var value = add.split(",");
    
                            count=value.length;
                            country=value[count-1];
                            state=value[count-2];
                            var city= value[count-3].trim();
                            
                            var cityId = "";
                            if(city=="Bengaluru")
                            {
                                
                                cityId = "200000";
                               
                            }
                            else if(city=="Chennai")
                            {
                                cityId = "100000";
                            }
                            else if(city=="Hyderabad")
                            {
                                cityId = "300000";
                            }
                            else if(city=="Coimbatore")
                            {
                                cityId = "400000";
                            }
                            else if(city=="Mysore")
                            {
                                cityId = "500000";
                            }
                            else if(city=="Kochi")
                            {
                                cityId = "600000";
                            }
                            else if(city=="Pune")
                            {
                                cityId = "700000";
                            }
                            else
                            {
                               cityId = "200000";
                            }
                            
                           $scope.cityId = cityId;
                            locat = value[count-4];
                            project = value[count-5];
                            area = value[count-6];
                           
                            var locations = [{
                                               id: 1,
                                               latVal: position.coords.latitude,
                                               langVal: position.coords.longitude,
                                               locality: locat,
                                               city:city,
                                               cityId:cityId
                                             }];
                              $scope.locadata = locations;
                              $scope.isrefresh = false;
                              localStorage.setItem('locadata', JSON.stringify($scope.locadata));
        
                        }
                        else 
                        {
                            $ionicPopup.alert({title: 'address not found'});
                        }
                        
                        if($scope.cityId=="")
                        {
                            $scope.cityId = "200000";
                        }
                  $scope.localities = [];
                     $http({method: "GET", url: "https://www.realtycompass.com/apim/topLocations/"+$scope.cityId})
                    .success(function(data) {
                        
                        $scope.isLocationselect = true;
                       $scope.localities = data;
                    });
                    }
                     else
                    {
                    
                     $scope.searchType = "locationSearch";
                     $scope.isGeoLocation = false;
                     $scope.isLocation = true;
                    }
                });
              },
              function(PositionError) 
              {
                  $ionicPlatform.ready(function() 
                  {
                    if(window.cordova)
                    {
                        $ionicPopup.confirm({
                          title: 'Unable to fetch your location',
                          content: 'Please check GPS settings and enable location access'
                        })
                        .then(function(result) {
                          if(result) 
                          {
                            var exec = window.cordova.require('cordova/exec');
                    
                            function GpsSettings() {
                            }
                            GpsSettings.install = function() {
                            
                        	if(!window.plugins) {
                        	   
                        		window.plugins = [];
                        	}
                        	window.plugins.GpsSettings = new GpsSettings();
                            if(window.plugins.GpsSettings)
                            {
                                exec(null, null, "GpsSettings", "launch", []);
                            }
                        	return window.plugins.GpsSettings;
                            };
                       
                            window.cordova.addConstructor(GpsSettings.install);
                             $scope.isGeoLocation = false;
                             $scope.isLocation = true;
                             $scope.isrefresh = false;
                             $scope.searchType = "locationSearch";
                          }else{
                             $scope.isGeoLocation = false;
                             $scope.isLocation = true;
                             $scope.isrefresh = false;
                             $scope.searchType = "locationSearch";
                          }
                        });
                     }
                });
               
                },positionOption);
          }
          
    }
    else if($stateParams.type=="city")
    {
        GoogleAnalytics.ganalytic("Menu", "Click", $stateParams.citiName, "success");
        $scope.searchType = "locationSearch";
        $scope.isGeoLocation = false;
        $scope.isLocation = true;
        $scope.cityId = $stateParams.citiId;
        
        $scope.localities = [];
        
        $http({method: "GET", url: "https://www.realtycompass.com/apim/topLocations/"+$scope.cityId})
        .success(function(data) {
           
            $scope.isLocationselect = true;
            $scope.localities = data;
            $scope.data.searchlocation = $stateParams.top_loclity_name+", "+$stateParams.citiName;
            $scope.locationLocId = $stateParams.top_loclity_id;
            $scope.locCityId = $stateParams.citiId;
          
        });
        
      localStorage.setItem('storedCity', JSON.stringify($scope.cityId));
     
        
    }
    
    
    $scope.newPost = function() {
        var ptype = "";
        if($scope.allActive=='1')
        {
            ptype = "N";
        }
        else if($scope.allActive=='N')
        {
            if($scope.active=='1')
            {
                ptype = "2";
            }
            if($scope.vactive=='1')
            {
                if(ptype=="")
                {
                    ptype = "3";
                }
                else
                {
                    ptype = ptype+"-3";
                }
            
            }
            if($scope.pactive=='1')
            {
                if(ptype=="")
                {
                    ptype = "5";
                }
                else
                {
                    ptype = ptype+"-5";
                }
            
            }
        }
        
        if(ptype=="")
        {
            ptype = "N";
        }
      
        var bedtype = "";
     
        bedtype = $scope.bhk;
        if(bedtype=="")
        {
            bedtype = "N";
        }
        
         var minprice = "";
         minprice =$scope.minprice;
         if(minprice=="")
         {
            minprice = "N";
         }
        
         var maxprice = "";
         maxprice =$scope.maxprice;
         if(maxprice=="")
         {
            maxprice="N";
         }
        
          /*  Possession   */
         var posstype = $scope.possessiondata.possessionValue;
         
         ///===========
          var filterData = [{
                           fillid: 1,
                           fillPtypeactive: $scope.active,
                           fillPtypeAllactive: $scope.allActive,
                           fillPtypeVactive: $scope.vactive,
                           fillPtypePactive: $scope.pactive,
                           fillBhk: $scope.bhk,
                           fillMinprice: $scope.minprice,
                           fillMaxprice:$scope.maxprice,
                           fillPosstype:posstype
                         }];
          $scope.filterData = filterData;
          
         
          localStorage.setItem('filterData', JSON.stringify($scope.filterData));
         
         //=============
        
       
        $scope.latValue = 0.0;
        $scope.langValue = 0.0;
      
         var serviceType = "";
         if($scope.searchType=="geoSearch")
         {
            $scope.latValue = $scope.locadata[0].latVal;
            $scope.langValue = $scope.locadata[0].langVal;
            $scope.cityId = $scope.locadata[0].cityId;
            serviceType = "nearBy";
            $state.go('app.nearbyProjects',{ paramCityId: $scope.cityId,paramLat: $scope.latValue,paramLang:$scope.langValue,paramPtype:ptype,paramMinprice:minprice,paramMaxprice:maxprice,paramPosstype:posstype,paramBedtype: bedtype,paramService:serviceType});
         }
         else if($scope.searchType="locationSearch")
         {
            
            serviceType = "locationBy";
            $state.go('app.locationProjects',{ paramCityId: $scope.locCityId,paramLocality: $scope.locationLocId,paramPtype:ptype,paramMinprice:minprice,paramMaxprice:maxprice,paramPosstype:posstype,paramBedtype: bedtype,paramService:serviceType});
         }
          
          
        }
            // newPost ends here //
         
          $scope.refreshGeoCode = function()
          {
              $scope.isGeoLocation = true;
              $scope.isLocation = false;
              $scope.searchType = "geoSearch";
              $scope.isrefresh = true;
              
               $scope.locadata = [];
               var positionOption = {maximumAge: 0, timeout: 15000, enableHighAccuracy: true };
              navigator.geolocation.getCurrentPosition(
              function(position) {
            
                var geocoder ;
                               
                              geocoder = new google.maps.Geocoder();
                              var latlng = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
                              
                              geocoder.geocode({'latLng': latlng}, function(results, status)
                               {
                              
                               if(status == google.maps.GeocoderStatus.OK)
                               {
                                   if (results[0])
                                   {
                                       var add = results[0].formatted_address ;
                                       var value = add.split(",");

                                       count=value.length;
                                       country=value[count-1];
                                       state=value[count-2];
                                      var city= value[count-3].trim();
                                      
                                       var cityId = "";
                                       if(city=="Bengaluru")
                                       {
                                           
                                           cityId = "200000";
                                          
                                       }
                                       else if(city=="Chennai")
                                       {
                                           cityId = "100000";
                                       }
                                       else if(city=="Hyderabad")
                                       {
                                           cityId = "300000";
                                       }
                                       else if(city=="Coimbatore")
                                       {
                                           cityId = "400000";
                                       }
                                       else if(city=="Mysore")
                                        {
                                            cityId = "500000";
                                        }
                                        else if(city=="Kochi")
                                        {
                                            cityId = "600000";
                                        }
                                        else if(city=="Pune")
                                        {
                                            cityId = "700000";
                                        }
                                        else
                                        {
                                           cityId = "200000";
                                        }
                                      $scope.cityId = cityId;
                                       locat = value[count-4];
                                       project = value[count-5];
                                       area = value[count-6];
                                       
                                      
                                       var locations = [{
                                                          id: 1,
                                                          latVal: position.coords.latitude,
                                                          langVal: position.coords.longitude,
                                                          locality: locat,
                                                          city:city,
                                                          cityId:cityId
                                                        }];
                                         $scope.locadata = locations;
                                         $scope.isrefresh = false;
                                         localStorage.setItem('locadata', JSON.stringify($scope.locadata));
                                   }
                                   else 
                                   {
                                       $ionicPopup.alert({title: 'address not found'});
                                   }
                                   
                             if($scope.cityId=="")
                             {
                               $scope.cityId = "200000";
                             }
                             $scope.localities = [];
                               //var url = "http://realtycompass.com/newlocation.php?q="+$scope.data.search+"&&brnch=" + myValue;
                              // alert(url);
                              //"https://www.realtycompass.com/api/nearbyprojects/"+$stateParams.paramCityId+"/"+$stateParams.paramLat+"/"+$stateParams.paramLang+"/"+$stateParams.paramPtype+"/"+$stateParams.paramMinprice+"/"+$stateParams.paramMaxprice+"/"+$stateParams.paramPosstype+"/"+$stateParams.paramBedtype})
                               //$http({method: 'GET', url: 'https://www.realtycompass.com/api/searchLocations/'+$scope.data.searchlocation+'&&brnch='+myValue})
                               $http({method: "GET", url: "https://www.realtycompass.com/apim/topLocations/"+$scope.cityId})
                               .success(function(data) {
                                   //alert(data);
                                   $scope.isLocationselect = true;
                                   $scope.localities = data;
                               });
                               }
                               else
                               {
                               //alert("Geocoder failed due to: " + status);
                                 $scope.isGeoLocation = false;
                                 $scope.isLocation = true;
                                 $scope.isrefresh = false;
                                 $scope.searchType = "locationSearch";
                               }
                           });
               
          },
          function(PositionError) 
          {
              $ionicPlatform.ready(function() 
              {
                if(window.cordova)
                {
                    $ionicPopup.confirm({
                      title: 'Unable to fetch your location',
                      content: 'Please check GPS settings and enable location access'
                    })
                    .then(function(result) {
                      if(result) 
                      {
                        var exec = window.cordova.require('cordova/exec');
                
                        function GpsSettings() {
                        }
                        GpsSettings.install = function() {
                        //alert("kkkkk");
                    	if(!window.plugins) {
                    	   // alert("bbbbb");
                    		window.plugins = [];
                    	}
                    	window.plugins.GpsSettings = new GpsSettings();
                        if(window.plugins.GpsSettings)
                        {
                            exec(null, null, "GpsSettings", "launch", []);
                        }
                    	return window.plugins.GpsSettings;
                        };
                   
                        window.cordova.addConstructor(GpsSettings.install);
                         $scope.isGeoLocation = false;
                         $scope.isLocation = true;
                         $scope.isrefresh = false;
                         $scope.searchType = "locationSearch";
                      }else{
                         $scope.isGeoLocation = false;
                         $scope.isLocation = true;
                         $scope.isrefresh = false;
                         $scope.searchType = "locationSearch";
                      }
                    });
                 }
            });
           
            },positionOption);
            
          }
          //alert(' location');
          
          $scope.showLocationDiv = function() 
          {
              $scope.isGeoLocation = false;
              $scope.isLocation = true;
              $scope.searchType = "locationSearch";
              $scope.isLocationselect = true;
              
              
              if(localStorage.getItem('searchlocationdata')!==null)
              {
                  $scope.searchdata = JSON.parse(localStorage.getItem('searchlocationdata'));
                
                  $scope.data.searchlocation = $scope.searchdata[0].searchlocaname+", "+$scope.searchdata[0].searchcityname;
                  $scope.locationLocId = $scope.searchdata[0].locationLocId;
                  $scope.locCityId =$scope.searchdata[0].locCityId;
                  // $scope.isLocationselect = false;
                  
              }
          }
          $scope.showGeocodeDiv = function() 
          {  
            $scope.locadata = [];
            if(localStorage.getItem('locadata')!==null)
            {
                //localStorage.setItem('storedgeoCity', JSON.stringify($scope.cityId));
                $scope.locadata = JSON.parse(localStorage.getItem('locadata'));
              //$scope.locadata = (localStorage.getItem('locadata')!==null) ? JSON.parse($scope.savedgeodata) : locations;
              //localStorage.setItem('locadata', JSON.stringify($scope.locadata));
                $scope.searchType = "geoSearch";
                $scope.isGeoLocation = true;
                $scope.isLocation = false;
                $scope.cityId = $scope.locadata[0].cityId;
                
            }
            else
            {
                //alert('new');
                $scope.searchType = "geoSearch";
                $scope.isGeoLocation = true;
                $scope.isLocation = false;
                $scope.cityId = "";
                
                var positionOption = {maximumAge: 0, timeout: 15000, enableHighAccuracy: true };
        	    navigator.geolocation.getCurrentPosition(
                function(position) {
                      //alert(position.coords.latitude + ',' + position.coords.longitude);
                      //$scope.latvalue = position.coords.latitude;
                     // $scope.langvalue = position.coords.longitude;
                   // Some fake testing data
                var geocoder ;
                    
                geocoder = new google.maps.Geocoder();
                var latlng = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
                   //alert("Else loop" + latlng);
                 geocoder.geocode({'latLng': latlng}, function(results, status)
                 {
                    //alert("Else loop1");
                    if(status == google.maps.GeocoderStatus.OK)
                    {
                        if (results[0])
                        {
                            var add = results[0].formatted_address;
                            var value = add.split(",");
    
                            count=value.length;
                            country=value[count-1];
                            state=value[count-2];
                            var city= value[count-3].trim();
                            //alert(city.trim());
                            var cityId = "";
                            if(city=="Bengaluru")
                            {
                                
                                cityId = "200000";
                               // alert(cityId);
                            }
                            else if(city=="Chennai")
                            {
                                cityId = "100000";
                            }
                            else if(city=="Hyderabad")
                            {
                                cityId = "300000";
                            }
                            else if(city=="Coimbatore")
                            {
                                cityId = "400000";
                            }
                            else if(city=="Mysore")
                            {
                                cityId = "500000";
                            }
                            else if(city=="Kochi")
                            {
                                cityId = "600000";
                            }
                            else if(city=="Pune")
                            {
                                cityId = "700000";
                            }
                            else
                            {
                                cityId = "200000";
                            }
                           $scope.cityId = cityId;
                            locat = value[count-4];
                            project = value[count-5];
                            area = value[count-6];
                            
                           // alert("count "+count+" : "+value[0]+" : " + value[1] + " : "+value[2]+" : "+value[3]+" : "+value[4] +"city : "+city+" id: "+cityId+" : "+value[6]+" : "+value[7]);
    
                            var locations = [{
                                               id: 1,
                                               latVal: position.coords.latitude,
                                               langVal: position.coords.longitude,
                                               locality: locat,
                                               city:city,
                                               cityId:cityId
                                             }];
                              $scope.locadata = locations;
                              
                              //localStorage.setItem('storedgeoCity', JSON.stringify($scope.cityId));
                              //$scope.savedgeodata = localStorage.getItem('locadata');
                              //$scope.locadata = (localStorage.getItem('locadata')!==null) ? JSON.parse($scope.savedgeodata) : locations;
                              localStorage.setItem('locadata', JSON.stringify($scope.locadata));
        
                        }
                        else 
                        {
                            $ionicPopup.alert({title: 'address not found'});
                        }
                        
                        if($scope.cityId=="")
                        {
                            $scope.cityId = "200000";
                        }
                      $scope.localities = [];
                       //$http({method: 'GET', url: 'https://www.realtycompass.com/api/searchLocations/'+$scope.data.searchlocation+'&&brnch='+myValue})
                        $http({method: "GET", url: "https://www.realtycompass.com/apim/topLocations/"+$scope.cityId})
                        .success(function(data) {
                            //alert(data);
                            $scope.isLocationselect = true;
                           $scope.localities = data;
                        });
                        }
                         else
                        {
                        //alert("Geocoder failed due to: " + status);
                         $scope.searchType = "locationSearch";
                         $scope.isGeoLocation = false;
                         $scope.isLocation = true;
                        }
                    });
                  },
                  function(PositionError) 
                  {
                      $ionicPlatform.ready(function() 
                      {
                        if(window.cordova)
                        {
                            $ionicPopup.confirm({
                              title: 'Unable to fetch your location',
                              content: 'Please check GPS settings and enable location access'
                            })
                            .then(function(result) {
                              if(result) 
                              {
                                var exec = window.cordova.require('cordova/exec');
                        
                                function GpsSettings() {
                                }
                                GpsSettings.install = function() {
                                //alert("kkkkk");
                            	if(!window.plugins) {
                            	   // alert("bbbbb");
                            		window.plugins = [];
                            	}
                            	window.plugins.GpsSettings = new GpsSettings();
                                if(window.plugins.GpsSettings)
                                {
                                    exec(null, null, "GpsSettings", "launch", []);
                                }
                            	return window.plugins.GpsSettings;
                                };
                           
                                window.cordova.addConstructor(GpsSettings.install);
                                 $scope.isGeoLocation = false;
                                 $scope.isLocation = true;
                                 $scope.isrefresh = false;
                                 $scope.searchType = "locationSearch";
                              }else{
                                 $scope.isGeoLocation = false;
                                 $scope.isLocation = true;
                                 $scope.isrefresh = false;
                                 $scope.searchType = "locationSearch";
                              }
                            });
                         }
                    });
                   
                    },positionOption);
              }
              
              
          }
          $scope.data = {};
          $scope.possessiondata = {};
          $scope.searchNewLocality = function() 
          { 
                
                $scope.localities = [];
                //var url = "http://realtycompass.com/newlocation.php?q="+$scope.data.search+"&&brnch=" + myValue;
               // alert(url);
               //"https://www.realtycompass.com/api/nearbyprojects/"+$stateParams.paramCityId+"/"+$stateParams.paramLat+"/"+$stateParams.paramLang+"/"+$stateParams.paramPtype+"/"+$stateParams.paramMinprice+"/"+$stateParams.paramMaxprice+"/"+$stateParams.paramPosstype+"/"+$stateParams.paramBedtype})
                //$http({method: 'GET', url: 'https://www.realtycompass.com/api/searchLocations/'+$scope.data.searchlocation+'&&brnch='+myValue})
                //$http({method: "GET", url: "https://www.realtycompass.com/apim/searchLocations/"+$scope.cityId+"/"+$scope.data.searchlocation})
                $http({method: "GET", url: "https://www.realtycompass.com/apim/searchLocations/"+$scope.data.searchlocation})
                .success(function(data) {
                    //alert(data);
                   $scope.isLocationselect = true;
                   $scope.localities = data;
                });
                //alert($scope.data.search);
          }
          $scope.locationLocId = "";
          $scope.locCityId = "";
          
          $scope.selectLocality = function(lId,lName,cId,cName) 
          { 
                $scope.data.searchlocation = lName+", "+cName;
                $scope.locationLocId = lId;
                $scope.locCityId = cId;
                $scope.isLocationselect = false;
                //alert(lId+" : "+lName+" : "+cId+" : "+cName);
                var locationsText = [{
                                       searchlocaname: lName,
                                       searchcityname:cName,
                                       locationLocId: lId,
                                       locCityId: cId
                                    }];
                $scope.locationsText = locationsText;
                         
                localStorage.setItem('searchlocationdata', JSON.stringify($scope.locationsText));
                //localStorage.setItem('searchlocation', JSON.stringify($scope.data.searchlocation));
          }
          //start  Set filter data //
          
        if(localStorage.getItem('filterData')!==null)
        {
            //localStorage.setItem('storedgeoCity', JSON.stringify($scope.cityId));
            $scope.filterData = JSON.parse(localStorage.getItem('filterData'));
            //$scope.minprice =  parseInt($scope.filterData[0].fillMinprice);
           // $scope.maxprice =  parseInt($scope.filterData[0].fillMaxprice);
            $scope.possessiondata.possessionValue = $scope.filterData[0].fillPosstype;
            $scope.vactive =$scope.filterData[0].fillPtypeVactive;
            $scope.pactive = $scope.filterData[0].fillPtypePactive;
            $scope.active = $scope.filterData[0].fillPtypeactive;
            $scope.allActive = $scope.filterData[0].fillPtypeAllactive;
            $scope.bhk = $scope.filterData[0].fillBhk;
            //alert($scope.maxprice);
            $scope.minprice = "";
            $scope.maxprice = "";
        }
        else
        {
            $scope.minprice = "";
            $scope.maxprice = "";
            $scope.possessiondata.possessionValue = 'N'; 
            $scope.vactive = 'N';
            $scope.pactive = 'N';
            $scope.active = 'N';
            $scope.allActive = '1';
            $scope.bhk = '2';
        }
        
          //End set filter data //
         
          $scope.minpriceList = [];
          $scope.maxpriceList = [];
          $scope.checkmaxpriceList = [];
          $scope.minpriceList = MinpriceService.all(); 
          $scope.maxpriceList = MinpriceService.all();
          $scope.checkmaxpriceList = MinpriceService.all();  
          $scope.selMinPrice = function(val) 
          {
            //alert(val.priceVal);
             if(val!=null)
             {
                var intval = parseInt(val.priceVal);
                $scope.minprice = intval;
                $scope.maxprice = ""; 
                //alert($scope.minprice);
                $scope.maxpriceList = [];
                  for(var i=0;i<$scope.checkmaxpriceList.length;i++)
                  { 
                    var checVal = parseInt($scope.checkmaxpriceList[i].priceVal);
                     if(checVal>intval)
                     {   
                         $scope.maxpriceList.push({id: $scope.checkmaxpriceList[i].id,priceVal: $scope.checkmaxpriceList[i].priceVal,priceText: $scope.checkmaxpriceList[i].priceText});
                        
                     }
                  }
              }
              else
              {
                 $scope.maxpriceList = MinpriceService.all();
                 $scope.minprice = "";
                 $scope.maxprice = ""; 
              }
          }
          $scope.selMaxPrice = function(val) 
          {
            if(val!=null)
            {
                var intval = parseInt(val.priceVal);
                $scope.maxprice = intval;
            }
            else
            {
               $scope.maxprice = ""; 
            }//alert($scope.maxprice);
          }
	  //$scope.propertyList = [{ text: "Villas", checked: true },{ text: "Plots", checked: false},{ text: "Apartments", checked: false}];
      //$scope.bedroomList = [{ text: "1BHK", checked: true },{ text: "2BHK", checked: false },{ text: "3BHK", checked: false },{ text: "4BHK", checked: false },{ text: "5+", checked: false }];
      //$scope.priceList = [{ text: "20L-40L", checked: true },{ text: "40L-60L", checked: false },{ text: "60L-80L", checked: false },{ text: "80+", checked: false }];
     // $scope.possessionList = [{ text: "Immediate", checked: false },{ text: "Within 6 Months", checked: false },{ text: "Later", checked: false }];
      $scope.possessionList = [{ text: "All", value: "N" },{ text: "Immediate", value: "I" },{ text: "Within 6 Months", value: "W" },{ text: "Later", value: "L" }];  
       
      $scope.serverSideChange = function(item) 
      {
            $scope.possessiondata.possessionValue =item.value;  
            $scope.possessiondata = {possessionValue: item.value };  
      }; 
                              
        
        $scope.setVactive = function(type) {
            if($scope.vactive=='1')
            {
                $scope.vactive = 'N';
            }
            else
            {
                $scope.vactive = '1';
            }
            $scope.allActive = 'N';
            
        };
        $scope.isVactive = function(type) {
            return type === $scope.vactive;
        };
         
        
        $scope.setPactive = function(type) {
            if($scope.pactive=='1')
            {
                $scope.pactive = 'N';
            }
            else
            {
                $scope.pactive = '1';
            }
            $scope.allActive = 'N';
        };
        $scope.isPactive = function(type) {
            return type === $scope.pactive;
        };
        
        
        $scope.setActive = function(type) {
            if($scope.active=='1')
            {
                $scope.active = 'N';
            }
            else
            {
                $scope.active = '1';
            }
            $scope.allActive = 'N';
        };
        $scope.isActive = function(type) {
            return type === $scope.active;
        };
        
        $scope.setAllactive = function(type) {
            if($scope.allActive=='1')
            {
                $scope.allActive = 'N';
            }
            else
            {
                $scope.allActive = '1';
                $scope.active = 'N';
                $scope.pactive = 'N';
                $scope.vactive = 'N';
            }
            
        };
        $scope.isAllactive = function(type) {
            return type === $scope.allActive;
        };
        
        // Bedrooms //
        
       
        $scope.setBhk = function(type) {
            if(type==$scope.bhk)
            {
                $scope.bhk = "N";
            }
            else{
               $scope.bhk = type; 
            }
        };
        $scope.isBhk = function(type) {
            return type === $scope.bhk;
        };
        
})
.controller('NearbyProjectsCtrl', function($scope,$stateParams,$state,$http,SortByService,GoogleAnalytics) {
  //$scope.nearbyProjects = NearbyProjects.all();
            
               // var post = new $scope.location.latVal;
               //alert($stateParams.paramCityId+"/"+$stateParams.paramLat+"/"+$stateParams.paramLang+"/"+$stateParams.paramPtype+"/"+$stateParams.paramMinprice+"/"+$stateParams.paramMaxprice+"/"+$stateParams.paramPosstype+"/"+$stateParams.paramBedtype);
            $scope.isnearbyDiv = false; 
            $scope.islocationbyDiv = false; 
            $scope.nearbyProjects = [];
            $scope.locationProjects = [];
            $scope.isNoLocationresults = false;
            $scope.isNoGeoresults = false; 
            $scope.sortByList = [];
            $scope.storeurl = "";
            $scope.sortByList = SortByService.all(); 
            $scope.selSortBy = function(val,typ) 
            {
                
                if(typ=="nearby")
                {  //alert(val.sortval);
                    $scope.nearbyProjects = [];
                    var sorturl = $scope.storeurl;
                    var value = sorturl.split("/");
                    $scope.nearbyurl = value[0]+"/"+value[1]+"/"+value[2]+"/"+value[3]+"/"+value[4]+"/"+value[5]+"/"+value[6]+"/"+value[7]+"/"+value[8]+"/"+value[9]+"/"+value[10]+"/"+value[11]+"/"+value[12]+"/"+value[13]+"/"+value[14]+"/"+val.sortval+"/"+value[16]+"/"+value[17];  
                    $http({method: "GET", url: "https://www.realtycompass.com/api/projectsdeskpagination/"+$scope.nearbyurl})
    	            .success(function(data) {
    	            
    	            if(data.length>0)
                    {
                         
                        for(var i=0;i<data.length;i++)
                        {
                           
                            $scope.nearbyProjects.push(data[i]._source);
                            
                        }
                        
                        $scope.isnearbyDiv = true;
                   
                    }
                    else
                    {
                        $scope.isNoGeoresults = true; 
                        $scope.isnearbyDiv = true;
                    }
    	        });
                }
                else if(typ=="locaby")
                {
                    $scope.locationProjects = [];
                    var sorturl = $scope.storeurl;
                    var value = sorturl.split("/");
                    $scope.nearbyurl = value[0]+"/"+value[1]+"/"+value[2]+"/"+value[3]+"/"+value[4]+"/"+value[5]+"/"+value[6]+"/"+value[7]+"/"+value[8]+"/"+value[9]+"/"+value[10]+"/"+value[11]+"/"+value[12]+"/"+value[13]+"/"+value[14]+"/"+val.sortval+"/"+value[16]+"/"+value[17];  
                    $http({method: "GET", url: "https://www.realtycompass.com/api/projectsdeskpagination/"+$scope.nearbyurl})
    	            .success(function(data) {
    	            
    	            if(data.length>0)
                    {
                        //alert(data.length);
                        for(var i=0;i<data.length;i++)
                        {
                           // $scope.lines.push($scope.lines.length);
                            $scope.locationProjects.push(data[i]._source);
                            
                        }
                        $scope.islocationbyDiv = true; 
                    }
                    else
                    {
                        //alert(data.length);
                        $scope.isNoLocationresults = true;
                        $scope.islocationbyDiv = true;  
                    }
    	        });
                }
                
            }
	        //var url = "http://realtycompass.com/newlocation.php?q="+$scope.data.search+"&&brnch=" + myValue;
	       // alert(url);
           //'/nearbyprojects/:cityid/:lat/:lng/:type/:pricemin/:pricemax/:possession/:bedrooms','getProjectsNearby');
	        //$http({method: 'GET', url: 'http://realtycompass.com/Ionic-newlocation.php?q='+$scope.data.search+'&&brnch='+myValue})
	       // $http({method: "GET", url: "http://casagrandepropcare.com/dev/api/nearbyprojects/200000/"+$stateParams.param+"/"+$stateParams.param1+"/N/N/N/N/N"})
             
            if($stateParams.paramService=="nearBy")
            {
                ///projectsdeskpagination/:cityid/:lat/:lng/:localityids/:typeids/:pricemin/:pricemax/:areamin/:areamax/:possession/:bedroom/:amenities/:builderids/:projectids(/)(/:collections)(/)(/:sortby)(/)(/:from)(/)(/:distance)(/)
                $scope.storeurl =  $stateParams.paramCityId+"/"+$stateParams.paramLat+"/"+$stateParams.paramLang+"/N/"+$stateParams.paramPtype+"/"+$stateParams.paramMinprice+"/"+$stateParams.paramMaxprice+"/N/N/"+$stateParams.paramPosstype+"/"+$stateParams.paramBedtype+"/N/N/N/N/N/N/N";                                                                                                                    
                $http({method: "GET", url: "https://www.realtycompass.com/api/projectsdeskpagination/"+$stateParams.paramCityId+"/"+$stateParams.paramLat+"/"+$stateParams.paramLang+"/N/"+$stateParams.paramPtype+"/"+$stateParams.paramMinprice+"/"+$stateParams.paramMaxprice+"/N/N/"+$stateParams.paramPosstype+"/"+$stateParams.paramBedtype+"/N/N/N/N/N/N/N"})
    	        .success(function(data) {
    	            
    	            if(data.length>0)
                    {
                         //alert($stateParams.paramCityId+"/"+$stateParams.paramLat+"/"+$stateParams.paramLang+"/N/"+$stateParams.paramPtype+"/"+$stateParams.paramMinprice+"/"+$stateParams.paramMaxprice+"/N/N/"+$stateParams.paramPosstype+"/"+$stateParams.paramBedtype+"/N/N/N/N/N/N/N");
                        for(var i=0;i<data.length;i++)
                        {
                           // $scope.lines.push($scope.lines.length);
                           //alert(data[i]._source);
                            $scope.nearbyProjects.push(data[i]._source);
                            
                        }
                        //$scope.nearbyProjects = data;
                        $scope.isnearbyDiv = true;
                   //alert(nearbyProjects);
                   //return nearbyProjects;
                    }
                    else
                    {
                        $scope.isNoGeoresults = true; 
                        $scope.isnearbyDiv = true;
                    }
    	        });  
                GoogleAnalytics.ganalytic("Nearby", "Click", "searchresults", "success");
            }
            else if($stateParams.paramService=="locationBy")
            {
                $scope.storeurl =  $stateParams.paramCityId+"/N/N/"+$stateParams.paramLocality+"/"+$stateParams.paramPtype+"/"+$stateParams.paramMinprice+"/"+$stateParams.paramMaxprice+"/N/N/"+$stateParams.paramPosstype+"/"+$stateParams.paramBedtype+"/N/N/N/N/N/N/N";                                                                                                                                        //projectsdeskpagination/:cityid/:lat/:lng/:localityids/:typeids/:pricemin/:pricemax/:areamin/:areamax/:possession/:bedroom/:amenities/:builderids/:projectids(/)(/:collections)(/)(/:sortby)(/)(/:from)(/)(/:distance)(/)','getProjectsNearbyElasticpage');
    	        $http({method: "GET", url: "https://www.realtycompass.com/api/projectsdeskpagination/"+$stateParams.paramCityId+"/N/N/"+$stateParams.paramLocality+"/"+$stateParams.paramPtype+"/"+$stateParams.paramMinprice+"/"+$stateParams.paramMaxprice+"/N/N/"+$stateParams.paramPosstype+"/"+$stateParams.paramBedtype+"/N/N/N/N/N/N/N"})
                .success(function(data) {
    	           //alert(data.length);
                    //return false;
                    if(data.length>0)
                    {
                        //alert(data.length);
                        for(var i=0;i<data.length;i++)
                        {
                           // $scope.lines.push($scope.lines.length);
                            $scope.locationProjects.push(data[i]._source);
                            
                        }
                        $scope.islocationbyDiv = true; 
                    }
                    else
                    {
                        //alert(data.length);
                        $scope.isNoLocationresults = true;
                        $scope.islocationbyDiv = true;  
                    }
                    //alert("https://www.realtycompass.com/api/projectsdesk/"+$stateParams.paramCityId+"/N/N/"+$stateParams.paramLocality+"/"+$stateParams.paramPtype+"/"+$stateParams.paramMinprice+"/"+$stateParams.paramMaxprice+"/N/N/"+$stateParams.paramPosstype+"/"+$stateParams.paramBedtype+"/N/N/N");
    	           //$scope.locationProjects = data[0]._source;
                   //alert($scope.locationProjects.projectname);
                   //return nearbyProjects;
    	        }); 
                GoogleAnalytics.ganalytic("LocationBy", "Click", "searchresults", "success"); 
            }
  /*
   $scope.remove = function(nearBy) {
       NearbyProjects.remove(nearBy);
     }
   */
   
})
.controller('ProjectsCtrl', function($scope,$stateParams,$state,$http, $ionicModal, $timeout,$ionicPopup,$ionicLoading,$compile,$ionicSlideBoxDelegate,GoogleAnalytics) {
   // alert($stateParams.projectid);
    //addEventListener('load', load, false);

        //function load(){
           // var el = document.getElementById("map");
          //  alert(el);
       // }
    $scope.projectsDetails = [];
    $scope.imageDetails = [];
    $scope.anlysisDetails = [];
    $scope.apartmentDetails = [];
    $scope.villaDetails = [];
    $scope.plotDetails = [];
    $scope.similarDetails = [];
    $scope.contactbhkDetails = [];
    $scope.isProjectImageDiv = false;
    $scope.cityLength = 1;
    $scope.roadLength = 1;
    $scope.similarLength = 1;
    $scope.isEmptyAboutBuilder = false;
    //https://www.realtycompass.com/elasticsearch-property.php?projectid=811
    $http({method: "GET", url: "https://www.realtycompass.com/elasticsearch-property.php?projectid="+$stateParams.projectid})
    .success(function(data) {
         
      // alert(data[0]._source.basicDetails.projectname);
       GoogleAnalytics.ganalytic("Projectpage", "Click", data[0]._source.basicDetails.projectname, "success");
       if(data.length>0)
        {
            $scope.projectsDetails.push(data[0]._source.basicDetails);
            var aboutbuilder = data[0]._source.basicDetails.aboutBuilder;
           
            if(aboutbuilder=="")
            {
                $scope.isEmptyAboutBuilder = false;
            }
            else
            {
                $scope.isEmptyAboutBuilder = true;
            }
           
            for(var i=0;i<data.length;i++)
            {
               $scope.imageDetails = data[i]._source.imageDetails;
               $scope.roadConnectDetails = data[i]._source.roadConnectDetails;
               $scope.cityConnectDetails = data[i]._source.cityConnectDetails;
               $scope.amenityDetails = data[i]._source.amenityDetails;
               $scope.anlysisDetails = data[i]._source.anlysisDetails;
               $scope.apartmentDetails = data[i]._source.apartmentDetails;
               $scope.villaDetails = data[i]._source.villaDetails; 
               $scope.plotDetails = data[i]._source.plotDetails;
               $scope.similarDetails = data[i]._source.similarDetails;
               $scope.contactbhkDetails = data[i]._source.contactbhkDetails; 
               // $scope.locationProjects.push(data[i]._source);
            }
            if($scope.cityConnectDetails.length==0)
            {
                $scope.cityLength = 0;
            }
            if($scope.roadConnectDetails.length==0)
            {
                $scope.roadLength = 0;
            }
            if($scope.similarDetails.length==0)
            {
                $scope.similarLength = 0;
            }
            $scope.isProjectImageDiv = true;
             
        }
        else
        {
            //alert(data.length);
            //$scope.isNoLocationresults = true;
            //$scope.islocationbyDiv = true;  
        }
       /*
        $scope.projectsDetails = data.basicDetails;
               $scope.imageDetails = data.imageDetails;
               $scope.roadConnectDetails = data.roadConnectDetails;
               $scope.cityConnectDetails = data.cityConnectDetails;
               $scope.amenityDetails = data.amenityDetails;
               $scope.anlysisDetails = data.anlysisDetails;
               $scope.apartmentDetails = data.apartmentDetails;
               $scope.villaDetails = data.villaDetails; 
               $scope.plotDetails = data.plotDetails;
               $scope.similarDetails = data.similarDetails;
               $scope.contactbhkDetails = data.contactbhkDetails; 
        */
       //$scope.isProjectImageDiv = true;
   
    });
  
    //GoogleAnalytics.ganalytic("Projectpage", "Click", $scope.projectsDetails[0].projectname, "success");
    $scope.isShowMore = false;
    $scope.showAmenities = function() {
        if($scope.isShowMore == true)
        {
            $scope.isShowMore = false;
        }
        else
        {
            $scope.isShowMore = true;
        }
      };
        $scope.isKnowMore = false;
        $scope.knowMoreAboutBuilder = function() {
        if($scope.isKnowMore == true)
        {
            $scope.isKnowMore = false;
        }
        else
        {
            $scope.isKnowMore = true;
        }
      };
       
      // Open Floor plan popup modal
      $scope.showPopup = function (message) {
        $ionicPopup.show({
                    title: 'Floor Plan',
                    template: message,
                    buttons: [{ text: 'Close', type: 'button-balanced'}]
                });
      };
      $scope.showFloorPlan = function(source) {
         // $scope.modal.remove();
          $scope.floorImage = source;
          $ionicModal.fromTemplateUrl('templates/floor-plan.html', {
          scope: $scope
      }).then(function(modal) {
        $scope.modal = modal;
        $scope.modal.show();
        });
      };
       
      $scope.showOnMap = function(latt,lngg,ppname) {
      
        $state.go('app.showMap',{ paramLat: latt,paramLang: lngg,paramPpname:ppname});
        //$state.go('app.showMap');
      };
      
      // Start Form data for the login modal //
      $scope.contactData = {};
      $scope.pitem = {};
      // Create the login modal that we will use later
      
    
      // Triggered in the login modal to close it
      $scope.closeContactPopup = function() {
        $scope.modal.hide();
        //$scope.modal.remove();
      };
    
      // Open the login modal
      
      $scope.contactForm = function(ppid) {
        $scope.isContactForm = false;
        
        $ionicModal.fromTemplateUrl('templates/contactBuilder.html', {
            scope: $scope
          }).then(function(modal) {
            $scope.modal = modal;
            
            $scope.contactbhkDetails = $scope.contactbhkDetails; 
            $scope.projectsName = $scope.projectsDetails[0].projectname;
            //alert($scope.projectsName);
            $scope.ppid = ppid;
            $scope.isContactForm = true;
            $scope.modal.show();
            //alert($scope.projectsName);
            //GoogleAnalytics.ganalytic("ContactBuilder", "Click", $scope.projectsName, "success");
          });
            
       
      };
      $scope.contactgacode = function(ppname) {
        GoogleAnalytics.ganalytic("ContactBuilder", "Click", ppname, "success");
        //alert(ppname);
      };
      // Perform the login action when the user submits the login form
        $scope.contactbhk = "";
        $scope.selContactBhk = function(bhkval) 
        {
            //alert(val.priceVal);
             if(bhkval!=null)
             {
                 $scope.contactbhk = bhkval.optvalue;
             }
        }
      $scope.doEnquire = function() {
        //alert($scope.contactData.username);
        if($scope.contactData.username == "" || $scope.contactData.username == undefined)
        {
            $ionicPopup.alert({title: 'Please enter name'});
            return false;
        }
        var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if($scope.contactData.mailId == "" || $scope.contactData.mailId == undefined) 
        {
            $ionicPopup.alert({title: 'Please enter email'});
            return false;
        }
        else if(!filter.test($scope.contactData.mailId)) 
        {
            $ionicPopup.alert({title: 'Please provide a valid email address' });
            return false;
        }
        if($scope.contactData.mobileNo == "" || $scope.contactData.mobileNo == undefined) 
        {
            $ionicPopup.alert({title: 'Please enter Mobile number'});
            return false;
        }
        var enquireData = $scope.ppid + "/" + $scope.contactData.username + "/" + $scope.contactData.mailId + "/" + $scope.contactData.mobileNo + "/" + $scope.contactbhk;
        
        $http({method: "GET", url: "http://realtycompass.com/Ionic-getAjaxSimilarProjects.php?varData="+enquireData})
        //$http({method: "GET", url: "http://casagrandepropcare.com/dev/Ionic-getAjaxSimilarProjects.php?varData="+enquireData})
        .success(function(data) {
           $ionicPopup.alert({title: 'You will soon hear from Builder.'});
           $timeout(function() {
              $scope.closeContactPopup();
            }, 1000);
            $http({method: "GET", url: "http://realtycompass.com/Ionic-emailTouser.php?propId=" + $scope.ppid + "&emailId=" + $scope.contactData.mailId  + "&mobileNo=" + $scope.contactData.mobileNo ,})
            //$http({method: "GET", url: "http://casagrandepropcare.com/dev/Ionic-emailTouser.php?propId=" + $scope.ppid + "&emailId=" + $scope.contactData.mailId  + "&mobileNo=" + $scope.contactData.mobileNo ,})
            .success(function(data) {
           
            }); 
        }); 
    
        //console.log('Doing enqure', $scope.ppid);
    
        // Simulate a login delay. Remove this and replace with your login
        // code if using a login system
       
       // $timeout(function() {
       //   $scope.closeContactPopup();
       // }, 1000);
      
      };
    // End Form data for the login modal //
})
.controller('MapCtrl', function($scope, $ionicLoading,$stateParams,$ionicPopup,$compile,GoogleAnalytics) {
    GoogleAnalytics.ganalytic("Projectpage", "Click", "Mapview", "success");
    $scope.positions = [{
    lat: $stateParams.paramLat,
    lng: $stateParams.paramLang
  }];
//alert($stateParams.paramLat);
      $scope.initialize = function($scope) {
        //alert('hi');
        var site = new google.maps.LatLng($stateParams.paramLat,$stateParams.paramLang);
       // var hospital = new google.maps.LatLng(55.8934378,-4.2201905);
      
        var mapOptions = {
          streetViewControl:true,
          center: site,
          zoom: 18,
          mapTypeId: google.maps.MapTypeId.TERRAIN
        };
        var map = new google.maps.Map(document.getElementById("map"),mapOptions);
        
        //Marker + infowindow + angularjs compiled ng-click
       /*
         var contentString = "<div><a ng-click='clickTest()'>Click me!</a></div>";
                $scope.contentString = contentString;
                var compiled = $compile(contentString)($scope);

                var infowindow = new google.maps.InfoWindow({
                  content: compiled[0]
                });
        */
        //$scope.projectName = $stateParams.ppname;
        //alert($stateParams.paramPpname);
        var marker = new google.maps.Marker({
          position: site,
          map: map,
          title: ""+$stateParams.ppname+""
        });
        
        /*
         var hospitalRoute = new google.maps.Marker({
                   position: hospital,
                   map: map,
                   title: 'Hospital (Stobhill)'
                 });
         */
        
        var infowindow = new google.maps.InfoWindow({
             content:""+$stateParams.paramPpname+""
        });

        infowindow.open(map,marker);
        
        /*
         var hospitalwindow = new google.maps.InfoWindow({
                      content:"Nearest Hospital"
                 });
         */
        //hospitalwindow.open(map,hospitalRoute);
       
      
        google.maps.event.addListener(marker, 'click', function() {
           infowindow.open(map,marker);
         });

       /*
         $scope.map = map;
                
                var directionsService = new google.maps.DirectionsService();
                var directionsDisplay = new google.maps.DirectionsRenderer();

                var request = {
                    origin : site,
                    destination : hospital,
                    travelMode : google.maps.TravelMode.DRIVING
                };
                directionsService.route(request, function(response, status) {
                    if (status == google.maps.DirectionsStatus.OK) {
                        directionsDisplay.setDirections(response);
                    }
                });
        */

        //directionsDisplay.setMap(map); 
       
      }
  
      google.maps.event.addDomListener(window, 'load', $scope.initialize());
    
      $scope.centerOnMe = function() {
        if(!$scope.map) {
          return;
        }

        $ionicLoading.show({
          content: 'Getting current location...',
          showBackdrop: false
        });
        
        navigator.geolocation.getCurrentPosition(function(pos) {
          $scope.map.setCenter(new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude));
          $ionicLoading.hide();
        }, function(error) {
          $ionicPopup.alert({title: 'Unable to get location: ' + error.message});
        });
      };
      
      $scope.clickTest = function() {
        $ionicPopup.alert({title: 'Example of infowindow with ng-click'});
      };
      
  
})
.controller('SearchCtrl', function($scope,$http,$stateParams,$ionicPopup,$timeout,GoogleAnalytics) {
    
      $scope.nlpdata = {};
      $scope.isNlpsearchdata =[];
      $scope.isNlpsearch = false; 
      $scope.isNlpsearchbar = true;
      $scope.isNoresults = false; 
      $scope.matchintext = "";
      $scope.isSuggestions = false;
      $scope.elasticSearch = function() 
      { 
        $scope.isSuggestions = false;
          if($scope.nlpdata.searchtext == "" || $scope.nlpdata.searchtext == undefined) 
          {
              $ionicPopup.alert({
               title: 'What are you looking for?',
               template: '<div style="text-align:center;">Please fill in this field.</div>'
              });
             
              return false;
          }
            
            $scope.isNlpsearchdata =[];
            
            $http({method: "GET", url: "https://www.realtycompass.com/Ionic-nlpsearch.php?q="+$scope.nlpdata.searchtext})
            .success(function(data) {
                
                if(data.length>0)
                {
                   
                    for(var i=0;i<data.length;i++)
                    {
                       
                        $scope.isNlpsearchdata.push(data[i]._source);
                        $scope.isNlpsearch = true;
                        $scope.isNoresults = false;  
                    }
                }
                else
                {
                    $scope.isNlpsearchdata =[];
                    $scope.isNlpsearch = false;
                    $scope.isNoresults = true; 
                    $scope.matchintext = $scope.nlpdata.searchtext;
                }
               
            });
            
      }
      // START VOICE SEARCH //
      
      var recognition = new SpeechRecognition();
      if($stateParams.type=="normal")
      {
        $scope.isVoice = true;
        GoogleAnalytics.ganalytic("Homepage", "Click", "Search", "success");
      }
      else if($stateParams.type=="speak")
      {
        GoogleAnalytics.ganalytic("Homepage", "Click", "Speak", "success");
            $scope.isVoice = false;
            recognition.start();
      }
        
     
       $scope.record = function(){
              
          $scope.isVoice = false;  
           //recognition.lang = 'en-IN';
           recognition.start();
         }
                    
        recognition.onresult = function(event) 
        {
           
             if (event.results.length > 0) 
             {
                 q.value = event.results[0][0].transcript;
                 $scope.nlpdata.searchtext = event.results[0][0].transcript;
                 //alert(q.value );
                 $scope.elasticSearch();
                 //q.form.submit();
                 $scope.isVoice = true; 
                 recognition.stop();
             }
             
        }
         recognition.onerror = function() {
        
           $timeout(function() {
           $scope.isVoice = true; 
           recognition.stop();
                   }, 1000);
         }
                
         $scope.stopRecord = function(){
          $scope.isVoice = true;  
           recognition.stop();
           
         }
       
       // ENDS VOICE SEARCH //
      
      $scope.searchBySuggestion = function() 
      { 
            $scope.isNoresults = false; 
            $scope.suggestions = [];
            $http({method: "GET", url: "https://www.realtycompass.com/testautocomplete.php?q="+$scope.nlpdata.searchtext})
            .success(function(data) {
                //alert(data);
               $scope.isSuggestions = true;
               $scope.suggestions = data;
            });
            //alert($scope.data.search);
      }
      $scope.selectSuggestion = function(textt) 
      { 
           $scope.nlpdata.searchtext = textt;
           $scope.elasticSearch();
           $scope.isSuggestions = false;
      }

 })
.controller('BowseCitiesCtrl', function($scope,$http) {
    // $scope.isImageDiv = false;
	$scope.cities = [];
    $http({method: "GET", url: "https://www.realtycompass.com/apim/selectOnlyCities"})
        .success(function(data) {
           // alert(data);
           $scope.cities = data;
          // $scope.isImageDiv = true;
        });

 })
  .controller('WebVoiceCtrl', function($scope) {
 
   /*
    var recognition = new SpeechRecognition();
       $scope.record = function($scope){
        alert('in');
        recognition.start();
       }
                recognition.onresult = function(event) {
                    
                if (event.results.length > 0) {
                q.value = event.results[0][0].transcript;
                alert(q.value );
               // q.form.submit();
          }
        }
    */
   
 })
 .controller('PlaylistsCtrl', function($scope) {
   $scope.playlists = [
     { title: 'Reggae', id: 1 },
     { title: 'Chill', id: 2 },
     { title: 'Dubstep', id: 3 },
     { title: 'Indie', id: 4 },
     { title: 'Rap', id: 5 },
     { title: 'Cowbell', id: 6 }
   ];
 })

 .controller('PlaylistCtrl', function($scope, $stateParams) {
 });

function initialize(latt,lngg) {
        var myLatlng = new google.maps.LatLng(latt,lngg);
        
        var mapOptions = {
          center: myLatlng,
          zoom: 16,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        var map = new google.maps.Map(angular.element('#map'),
            mapOptions);
        
        //Marker + infowindow + angularjs compiled ng-click
        

        var marker = new google.maps.Marker({
          position: myLatlng,
          map: map,
          title: 'Uluru (Ayers Rock)'
        });

        google.maps.event.addListener(marker, 'click', function() {
          infowindow.open(map,marker);
        });

        $scope.map = map;
      }